#include <iostream>

using namespace std;

int main()
{
    int p, q, r, L, R;
    cin>>p>>q>>r>>L>>R;
    int n=L, s=0, a=0;
    while(n<=R)
    {
        if((n%p)>0)
            a++;
        if((n%q)>0)
            a++;
        if((n%r)>0)
            a++;
        if(((n/p)+(n/q)+(n/r)+a)<=n)
            s++;
        n++;
        a=0;
    }
    cout<<s;
}